SAXONICA

Saxon Documentation
Full Contents
About Saxon
Changes in this Release
Notices
Using XSLT 2.0
Using XQuery
Handling Source Documents
XML Schema Processing
XPath API for Java
Saxon on .NET
Extensibility
Saxon Extensions
Sample Saxon Applications
The Saxon SQL Extension
XSLT Elements
XPath 2.0 Expression Syntax
Function Library
Standards Conformance

# fn:distinct-values

fn:distinct-values( xs:anyAtomicType* $srcval) → xs:anyAtomicType*

Function signature

$srcval | xs:anyAtomicType *
Result | xs:anyAtomicType *

Returns the set of distinct values present in a given sequence. The current Saxon implementation returns the values in "order of first appearance", but it cannot be assumed that this will always remain the case.

XPath 2.0 Specification

fn:distinct-values( xs:anyAtomicType* $srcval, string $collation) → xs:anyAtomicType*

Function signature

$srcval | xs:anyAtomicType *
$collation | string
Result | xs:anyAtomicType *

Returns the set of distinct values present in a given sequence, comparing strings using a named collation. The current Saxon implementation returns the values in "order of first appearance", but it cannot be assumed that this will always remain the case.

XPath 2.0 Specification

Next